<template lang="html">
    <div class="SurnameInput">
        <div class="RegTitleBlock">
            <span class="font-weight-bold"><span class="text-danger mr-1">*</span>Select a guaranteed post-registration bonus:</span>
            <span class="icon-error text-danger">
                <font-awesome-icon class="mr-1" icon="times-circle" />Invalid name
            </span>
            <span class="icon-success text-success">
                <font-awesome-icon class="mr-1" icon="check-circle" />OK
            </span>
        </div>
        <div class="InputBlock">
            <div>
                <b-form-select v-model="selected" :options="options">
                  <!-- This slot appears above the options from 'options' prop -->
                  <template slot="first">
                    <option :value="null" disabled>Select bonus</option>
                  </template>

                  <!-- These options will appear after the ones from 'options' prop -->
                  <option>% to deposit</option>
                  <option>40 UAH</option>
                  <option>deposit bonus</option>
                </b-form-select>
              </div>
        </div>
        <div class="RegInfoText">
            <span>The selected bonus cannot be changed since you've been registered.</span>
        </div>
    </div>
</template>

<script>
export default {
    data() {
      return {
        selected: null,
      }
    }
  }
</script>

<style lang="scss" scoped>
.SurnameInput {
    div {
        margin: 3px 0;
    }
    .RegInfoText {
        span {
            color: #a2a2a2;
        }
    }
    .InputBlock {
        padding: 2px;
        .bg-input {
            width: 100%;
            padding: 2px;

            border: 1px solid #eeeeee;
            border-radius: 5px;
            background-color: #eeeeee;

            padding: 2px 5px;

            resize: none;
        }
    }
    .bg-input:focus {
        outline: none;
    }
    .was-validated .form-control:invalid ~ .icon-error{
        display: block;
    }
    .icon-error {
        display: none;
    }
    .icon-success {
        display: none;
    }
}
</style>
